Overview
GET
/public/personas/{slug}/sheetpublicGet a public persona's gamification character sheet
Fetch a record from sheet by slug.
Parameters
- slugpathstring
Responses
200
Persona character sheet
- subjectType"persona"
- subjectIdstring
- skinstring
- xpinteger
- levelinteger
- levelTitlestring?
- xpIntoLevelinteger
- xpForNextinteger
- tenureDaysinteger
- streakDaysinteger
- statsobject
- trendobject
- badgesobject[]
Example
{
"subjectType": "persona",
"subjectId": "string",
"skin": "string",
"xp": 0,
"level": 0,
"levelTitle": "string",
"xpIntoLevel": 0,
"xpForNext": 0,
"tenureDays": 0,
"streakDays": 0,
"stats": {
"adventures": 0,
"allies": 0,
"turns": 0,
"tokensOut": 0,
"avgLatencyMs": 0,
"daysActive": 0
},
"trend": {
"adventures7d": [
0
]
},
"badges": [
{
"badgeId": "string",
"name": "string",
"description": "string",
"icon": "string",
"tier": "string",
"badgeLine": "string",
"awardedAt": "string",
"rarityPct": 0
}
]
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/public/personas/{slug}/sheet" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/public/personas/{slug}/sheet", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();